Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/Search/Legacy/Content/Common/Gateway/CriterionHandler/ContentId.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler;
8
9 use eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler;
10 use eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriteriaConverter;
11 use eZ\Publish\API\Repository\Values\Content\Query\Criterion;
12 use eZ\Publish\Core\Persistence\Database\SelectQuery;
13
17 class ContentId extends CriterionHandler
18 {
26 public function accept(Criterion $criterion)
27 {
28 return $criterion instanceof Criterion\ContentId;
29 }
30
43 public function handle(
44 CriteriaConverter $converter,
45 SelectQuery $query,
46 Criterion $criterion,
47 array $languageSettings
48 ) {
49 return $query->expr->in(
50 $this->dbHandler->quoteColumn('id', 'ezcontentobject'),
51 $criterion->value
52 );
53 }
54 }
eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentId
A criterion that matches content based on its id.
Definition: API/Repository/Values/Content/Query/Criterion/ContentId.php:20
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion.php:15
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriteriaConverter
Content locator gateway implementation using the DoctrineDatabase.
Definition: Search/Legacy/Content/Common/Gateway/CriteriaConverter.php:17
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\ContentId\handle
handle(CriteriaConverter $converter, SelectQuery $query, Criterion $criterion, array $languageSettings)
Generate query expression for a Criterion this handler accepts.
Definition: Core/Search/Legacy/Content/Common/Gateway/CriterionHandler/ContentId.php:43
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\ContentId\accept
accept(Criterion $criterion)
Check if this criterion handler accepts to handle the given criterion.
Definition: Core/Search/Legacy/Content/Common/Gateway/CriterionHandler/ContentId.php:26
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler
Definition: Search/Legacy/Content/Common/Gateway/CriterionHandler.php:15
eZ\Publish\Core\Persistence\Database\SelectQuery
Definition: SelectQuery.php:16
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion/Ancestor.php:7
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler
Definition: Core/Search/Legacy/Content/Common/Gateway/CriterionHandler/ContentId.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.